Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.gen.ide
Class AbstractMWEBuilder

    java.lang.Object
      org.eclipse.core.internal.events.InternalBuilder
          org.eclipse.core.resources.IncrementalProjectBuilder
              org.eclipse.amp.amf.gen.ide.AbstractMWEBuilder

All Implemented Interfaces:
  org.eclipse.core.runtime.IExecutableExtension

Direct Known Subclasses:
  MetaABMBuilder

    public abstract class AbstractMWEBuilder

extends org.eclipse.core.resources.IncrementalProjectBuilder

Provides basic services for invoking a workflow against all .metaabm models within a project. particular support for workflow logging, markers

Author:
  milesparker

Field Summary
`protected static MetaABMBuilder` | `builder`
`protected org.eclipse.core.runtime.IProgressMonitor` | `currentMonitor`
`protected java.lang.String[]` | `workflowPaths`

Fields inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`AUTO_BUILD, CLEAN_BUILD, FULL_BUILD, INCREMENTAL_BUILD`

Constructor Summary
`AbstractMWEBuilder(java.lang.String taskDescription, java.lang.String pluginName, java.lang.String[] workflowPaths, java.lang.String sourceExtension)`
`AbstractMWEBuilder(java.lang.String taskDescription, java.lang.String pluginName, java.lang.String workflowPath, java.lang.String sourceExtension)`

Method Summary
`void` | `addURL(java.net.URL url)`
`protected org.eclipse.core.resources.IProject[]` | `build(int kind, java.util.Map args, org.eclipse.core.runtime.IProgressMonitor monitor)`
`protected void` | `fullBuild(org.eclipse.core.runtime.IProgressMonitor monitor)`
`void` | `generateModel(org.eclipse.core.resources.IResource resource)`
`java.util.Map<java.lang.String,java.lang.String>` | `getGenProperties()`
`org.eclipse.emf.mwe.core.resources.ResourceLoader` | `getResourceLoader()`
`void` | `handleModifiedResource(org.eclipse.core.resources.IResource resource)`
`protected void` | `incrementalBuild(org.eclipse.core.resources.IResourceDelta delta, org.eclipse.core.runtime.IProgressMonitor monitor)`
`boolean` | `isReportErrors()`
`abstract void` | `loadPlugins()`
`protected void` | `loadPropertiesFromPrefs()`
`void` | `loadPropertiesFromResource(org.eclipse.core.resources.IResource resource)`
`void` | `setCurrentMonitor(org.eclipse.core.runtime.IProgressMonitor currentMonitor)`
`void` | `setGenProperties(java.util.Map<java.lang.String,java.lang.String> genProps)`
`void` | `setReportErrors(boolean reportErrors)`

Methods inherited from class org.eclipse.core.resources.IncrementalProjectBuilder
`clean, forgetLastBuiltState, getBuildConfig, getCommand, getContext, getDelta, getProject, getRule, getRule, hasBeenBuilt, isInterrupted, needRebuild, rememberLastBuiltState, setInitializationData, startupOnInitialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### workflowPaths

    protected java.lang.String[] workflowPaths

### builder

    protected static MetaABMBuilder builder

### currentMonitor

    protected org.eclipse.core.runtime.IProgressMonitor currentMonitor

Constructor Detail

### AbstractMWEBuilder

    public AbstractMWEBuilder(java.lang.String taskDescription,
                              java.lang.String pluginName,
                              java.lang.String workflowPath,
                              java.lang.String sourceExtension)

### AbstractMWEBuilder

    public AbstractMWEBuilder(java.lang.String taskDescription,
                              java.lang.String pluginName,
                              java.lang.String[] workflowPaths,
                              java.lang.String sourceExtension)

Method Detail

### addURL

    public void addURL(java.net.URL url)
                throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

### loadPlugins

    public abstract void loadPlugins()

### getResourceLoader

    public org.eclipse.emf.mwe.core.resources.ResourceLoader getResourceLoader()

### generateModel

    public void generateModel(org.eclipse.core.resources.IResource resource)

### loadPropertiesFromPrefs

    protected void loadPropertiesFromPrefs()

### loadPropertiesFromResource

    public void loadPropertiesFromResource(org.eclipse.core.resources.IResource resource)

### handleModifiedResource

    public void handleModifiedResource(org.eclipse.core.resources.IResource resource)

### build

    protected org.eclipse.core.resources.IProject[] build(int kind,
                                                          java.util.Map args,
                                                          org.eclipse.core.runtime.IProgressMonitor monitor)
                                                   throws org.eclipse.core.runtime.CoreException

  Specified by:
    `build` in class `org.eclipse.core.resources.IncrementalProjectBuilder`
  Throws:
    `org.eclipse.core.runtime.CoreException`

### fullBuild

    protected void fullBuild(org.eclipse.core.runtime.IProgressMonitor monitor)
                      throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

### incrementalBuild

    protected void incrementalBuild(org.eclipse.core.resources.IResourceDelta delta,
                                    org.eclipse.core.runtime.IProgressMonitor monitor)
                             throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

### setGenProperties

    public void setGenProperties(java.util.Map<java.lang.String,java.lang.String> genProps)

### getGenProperties

    public java.util.Map<java.lang.String,java.lang.String> getGenProperties()

### setCurrentMonitor

    public void setCurrentMonitor(org.eclipse.core.runtime.IProgressMonitor currentMonitor)

### isReportErrors

    public boolean isReportErrors()

### setReportErrors

    public void setReportErrors(boolean reportErrors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD